package com.takensoft.taken_bi_manager;


import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import com.takensoft.taken_bi_manager.common.connection.api.util.ApiUtil;
import com.takensoft.taken_bi_manager.common.connection.api.vo.ApiParam;
import com.takensoft.taken_bi_manager.common.connection.api.vo.ConnectionApi;
import com.takensoft.taken_bi_manager.common.util.CommonUtil;
import com.takensoft.taken_bi_manager.data.util.DataTableConvert;
import com.takensoft.taken_bi_manager.data.vo.DataTable;


public class MemberSelectTest {
		
	public static void main(String[] args) throws Exception {
		
			DataTable dt = new DataTable();
			
			ConnectionApi ca = new ConnectionApi();
			ca.setUrl("http://61.82.138.90:10971/aiSafetyCrossing/requestLogInfo.json");
			ca.setType(1);
			ca.setRequestType(1);
			ca.setDepth("resultData>");
			ApiParam apiParam1 = new ApiParam();
			apiParam1.setKey("st_dt");
			apiParam1.setValue("yyyy-MM-dd 10:22:00");
			apiParam1.setDateForm(true);
			apiParam1.setDateType("month");
			apiParam1.setAddDate(0);
			ca.getParams().add(apiParam1);
			ApiParam apiParam2 = new ApiParam();
			apiParam2.setKey("ed_dt");
			apiParam2.setValue("yyyy-MM-dd 10:24:00");
			apiParam2.setDateForm(true);
			apiParam2.setDateType("month");
			apiParam2.setAddDate(0);
			ca.getParams().add(apiParam2);
			ApiParam apiParam3 = new ApiParam();
			apiParam3.setKey("apiKey");
			apiParam3.setValue("f66b623060d0f20fee9663b8c0e445dc882cbf4ec4543630abd16c7960be7012");
			ca.getParams().add(apiParam3);
			
			List<Map<String,Object>> data = ApiUtil.getApiDataList(ApiUtil.apiRequest(ca));
			
			dt = DataTableConvert.listMaptoDataset(data);
			
			int co = 0;
			for(List<Object> temp: dt.getRowData()) {				
				System.out.println(dt.getColumnDatas().get(co).getOrginlColumnNm() + " : " +   temp.get(co++));						
				if(co == 9 ) co = 0;
			}
			
			System.out.print(dt);
	}
}
