package com.takensoft.taken_bi_manager.common.code.vo;

import java.sql.Timestamp;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 김성원
 * @since 2023-12-28
 * 
 * 공통코드 객체
 */
@Getter
@Setter
public class CmmnCode {
	
	// 콩통코드  
	private String cmmnCode;
	
	// 그룹코드
	private String groupCode;
	
	// 코드명 
	private String codeNm;
	
	// 코드 설명
	private String codeDc;
	
	// 상위코드 (없으면 생략)
	private String upperCode;
	
	// 코드 정렬순서 
	private String codeOrdr;
	
	// 코드 사용여부
	private boolean useAt;
	
	// 생성일
	private Timestamp creatDt;
	
	// 생성자ID
	private String creatId;
	
	// 수정일 
	private Timestamp updtDt;
		
	// 수정자 ID
	private String updtId;

}
