package com.takensoft.taken_bi_manager.common.config;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.takensoft.taken_bi_manager.common.config.filter.SessionCheck;

@Configuration
public class FilterConfig {

	@Bean
    public FilterRegistrationBean<SessionCheck> sessionCheck() {
        FilterRegistrationBean<SessionCheck> registrationBean = new FilterRegistrationBean<>();
        registrationBean.setFilter(new SessionCheck());
        registrationBean.addUrlPatterns("/*");
        registrationBean.setOrder(1);
        registrationBean.setName("sessionCheck");
        return registrationBean;
    }
}
