package com.takensoft.taken_bi_manager.common.vo;

import java.util.ArrayList;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 김성원
 * @since 2024.01.09
 * 
 * 공통 검색용 VO 입니다
 */
@Getter
@Setter
public class SearchObject {
	
	/**
	 * 검색 key
	 */
	private String key;

	/**
	 * 검색 값
	 */
	private Object value;
	
	/**
	 * 데이터 타입(날짜, 숫자, 문자)
	 */
	private String type;

	
}
