package com.takensoft.taken_bi_manager.test.web;

import com.takensoft.taken_bi_manager.common.vo.CustomeResultMap;
import com.takensoft.taken_bi_manager.test.service.TestService;
import com.takensoft.taken_bi_manager.user.member.servie.LoginService;
import com.takensoft.taken_bi_manager.user.member.servie.MemberService;
import com.takensoft.taken_bi_manager.user.member.vo.Member;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;

@RestController
@RequestMapping("/test")
public class TestController {

	@Autowired
    private MemberService memberService;	
	
	@Autowired
    private LoginService loginService;	
	
    @Autowired
    TestService testService;

    @GetMapping(path = "/test1")
    public CustomeResultMap TestRestApi(@ModelAttribute("member") Member member) throws Exception {

    	//Member member = new Member();
		//member.setUserId("admin");
		//member.setUserPassword("qwer1234");
		CustomeResultMap map = loginService.userLogin(member);
		System.out.print(map.getCheckMessage().getMessage());   
		
        return map;
    }
}
