package com.takensoft.taken_bi_manager.user.member.servie;

import com.takensoft.taken_bi_manager.common.vo.CustomeResultMap;
import com.takensoft.taken_bi_manager.user.member.vo.Member;

public interface LoginService {

	/**
	 * @author 김성원
	 * @since 2024.01.09
	 * 
	 * 유저로그인 처리(userId, userPassword)
	 */
	public CustomeResultMap userLogin(Member member) throws Exception;	
	
	/**
     * @author 김성원
	 * @since 2024.01.10
     *
     * 세션 무효화 (로그아웃 처리)
     */
    public boolean userLogout() throws Exception;
    
}
