package com.takensoft.taken_bi_manager.user.org.vo;

import java.sql.Date;
import java.sql.Timestamp;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 김성원
 * @since 2023-12-28
 * 
 * 부서정보 객체 
 */
@Getter
@Setter
public class Organization {

	// 부서코드(pk)
	private String deptCode;
	
	// 상위부서 코드
	private String upperDept;
	
	// 조직 코드(최상위 부서?)
	private String orgCode;
	
	// 부서명 
	private String deptNm;
	
	// 부서명 설명
	private String deptDc;
	
	// 부서 깊이 
	private int deptDp;
	
	// 부서 정렬 순서
	private int dept_ordr;
	
	// 사용여부
	private boolean useAt;
	
	// 생성일
	private Timestamp creatDt;
	
	// 생성자ID
	private String creatId;
	
	// 수정일 
	private Timestamp updtDt;
		
	// 수정자 ID
	private String updtId;
	
	
}
