package com.takensoft.taken_bi_manager.common.code.vo;

import java.sql.Timestamp;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 김성원
 * @since 2023-12-28
 * 
 * 공통코드 그룹 객체
 */
@Getter
@Setter
public class CmmnGroup {

	// 공통코드 그룹 코드
	private String groupCode;
	
	// 공통코드 그룹 코드 명 
	private String groupCodeNm;
	
	// 공통코드 그룹 설명 
	private String groupCodeDc;
	
	// 공통코드 그룹 사용여부
	private boolean useAt;
	
	// 생성일
	private Timestamp creatDt;
	
	// 생성자ID
	private String creatId;
	
	// 수정일 
	private Timestamp updtDt;
		
	// 수정자 ID
	private String updtId;
	
}
