package com.takensoft.taken_bi_manager.common.connection.db.vo;

import java.sql.Timestamp;

import com.takensoft.taken_bi_manager.common.vo.SystemCode.DatabaseType;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConnectionDB {

	// 커넥션 설명
	private String conectNm;
	
	// 커넥션 이름
	private String conect_dc;
	
	// 데이터베이스명(데이터 베이스 > 스키마) 
	private String databaseNm;
	
	// 스키마명
	private String schemaNm;
	
	// 데이터 베이스 타입	
	private DatabaseType databaseType;
	
	// IP or URL
	private String conectIp;
	
	// 접속 포트 
	private String conectPort;
	
	// 접속 아이디
	private String userId;
	
	// 접속 비밀번호
	private String userPassword;
	
	// 접속 옵션 
	private String option;
	
	// 사용여부
	private String useAt;
	
	
	
	/**
	 * 오라클
	 * 	SERVICE: true 
	 *  SID: false
	 *  인지 아닌지
	 */
	private boolean isGroupDatabase;	
	
	// 생성일
	private Timestamp creatDt;
	
	// 생성자ID
	private String creatId;
	
	// 수정일 
	private Timestamp updtDt;
		
	// 수정자 ID
	private String updtId;
	
	
}
