package com.takensoft.taken_bi_manager.common.file.vo;

import java.sql.Timestamp;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 김성원
 * @since 2023-12-28
 * 
 * 공통파일 관리 객체
 */
@Getter
@Setter
public class CmmnFile {

	// 파일ID 
	private String fileId;
	
	// 파일명
	private String name;
	
	// 파일 마스크 먕
	private String maskName;
	
	// 파일사이즈
	private long size;
	
	// 콘텐츠 타입? 
	private String contentType;
	
	// 파일 경로 
	private String fullPath;
	
	// 파일 서브 경로 
	private String subPath;
	
	// 파일 확장자
	private String extention;
	
	// 생성일 
	private Timestamp creatDt;
	
	// 파일매니저 ID
	private String fileManagerId;
	
}
