package com.takensoft.taken_bi_manager.common.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;

/**
 * 컨트롤러의 데이터를 반환할 기본 Map클래스
 *
 * @author 김성원
 * @since 2023.12.28
 */
@Getter
@Setter
public class CustomeResultMap {

    // 결과메세지
    private CheckMessage checkMessage;
    
    // 결과 데이터 
    private HashMap<String,Object> resultData;

    public CustomeResultMap(){    
        checkMessage = new CheckMessage(true, "성공" , 200);
    }
}
