package com.takensoft.taken_bi_manager.data.vo;

import java.io.Serializable;

import com.takensoft.taken_bi_manager.common.connection.db.vo.DataType;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 김성원
 * @since 2024.01.02
 * 
 * Columns Domain 입니다.
 */
@Getter
@Setter
public class Column implements Serializable {
	
	/**
	 * 시리얼 버전
	 */
	private static final long serialVersionUID = 1L;
	
	
	// 컬럼 ID
	private String columnId;
	
	// 컬럼명
	private String columnNm;
	
	// 표츌 컬럼명 
	private String displyColumnNm;
	
	// 원본데이터 컬럼명 
	private String orginlColumnNm;
	
	// dataset id(fk)
	private String datasetId;
	
	// 데이터 타입
	private DataType dataTy;
	
	// 데이터 길이
	private long dataSize;
	
	// 컬럼순서
	private int ordr;
	
	// pk여부
	private boolean pkAt;
	
	// 고유값 여부 
	private boolean uniqeAt;
	
	// 자동증가 여부 
	private boolean autoIncrementAt;
	
	// 컬럼명 표준화 여부
	private boolean columnStdizAt;
	
	// 도메인 표준화 여부
	private boolean domnStdizAt;
	
	// 도메인 코드 
	private String domnCode;
	
	// 사용여부 
	private boolean useAt;
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}
