package com.takensoft.taken_bi_manager.user.member.dao;

import org.apache.ibatis.annotations.Mapper;

import com.takensoft.taken_bi_manager.user.member.vo.Member;

/**
 * @author 김성원
 * @since 2021.01.10
 * 
 * 로그인 처리 관련 DAO 클래스
 */
@Mapper
public interface LoginDAO {
	
	/**
	 * @author 김성원
	 * @since 2021.01.10
	 * 
	 * 로그인 성공시 로직(비밀번호 카운트, 잠김 해재)
	 */
	 public int loginSuccess(Member member) throws Exception;
	 
	 /**
	 * @author 김성원
	 * @since 2021.01.10
	 * 
	 * 회원가입(패스워드 카운트 업 및 잠김 처리)
	 */
	 public int passowrdFail(Member member) throws Exception;

}
